var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { PropTypes as PT } from 'react';

import InputText from './InputText';

var InputNumber = function (_React$Component) {
	_inherits(InputNumber, _React$Component);

	function InputNumber() {
		_classCallCheck(this, InputNumber);

		var _this = _possibleConstructorReturn(this, (InputNumber.__proto__ || Object.getPrototypeOf(InputNumber)).call(this));

		_this.handleChange = _this.handleChange.bind(_this);
		return _this;
	}

	_createClass(InputNumber, [{
		key: 'handleChange',
		value: function handleChange(value) {
			this.props.change(parseInt(value || 0, 10));
		}
	}, {
		key: 'render',
		value: function render() {
			return React.createElement(InputText, _extends({}, this.props, { type: 'number', change: this.handleChange }));
		}
	}]);

	return InputNumber;
}(React.Component);

InputNumber.propTypes = {
	/**
  * Function to call with updated value
  */
	change: PT.func.isRequired
};
export default InputNumber;