var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';

import css from '../../../styles/input.css';
import InputText from './InputText';

/**
 * Plain textarea.
 */
export default function InputTextarea(_ref) {
	var className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['className']);

	var classes = [css.textarea];
	if (className) {
		classes.push(className);
	}

	return React.createElement(InputText, _extends({}, props, {
		className: classes.join(' '),
		component: 'textarea'
	}));
}

var PT = React.PropTypes;
InputTextarea.propTypes = {
	/**
  * Additional classnames to apply
  */
	className: PT.string
};