'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = wrapWithField;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Field = require('../components/Field');

var _Field2 = _interopRequireDefault(_Field);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function wrapWithField(Input) {
	function WrappedInput(_ref) {
		var className = _ref.className,
		    error = _ref.error,
		    label = _ref.label,
		    orientation = _ref.orientation,
		    props = _objectWithoutProperties(_ref, ['className', 'error', 'label', 'orientation']);

		return _react2.default.createElement(
			_Field2.default,
			{ className: className, error: error, label: label, orientation: orientation },
			_react2.default.createElement(Input, props)
		);
	}

	WrappedInput.propTypes = _Field2.default.PropTypes;

	return WrappedInput;
}