/* eslint-disable react/jsx-filename-extension */
import test from 'ava';
import { shallow } from 'enzyme';
import React from 'react';

import Game from '../../lib/components/Game';

test('<Game /> should render a container', t => {
	const container = shallow(
		<Game
			type="flash"
			content="http://g.poki.com/6d8fe8ba-d5bf-4192-b8b6-ebef621f9ce3.swf"
			width={640}
			height={500}
		/>,
	);

	console.log(container);
	t.is(container.type(), 'div');
});
