'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = Sidebar;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _sidebar = require('../../styles/sidebar.css');

var _sidebar2 = _interopRequireDefault(_sidebar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function Sidebar(_ref) {
	var children = _ref.children,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['children', 'className']);

	var classes = [_sidebar2.default.sidebar];

	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(
		'div',
		_extends({}, props, {
			className: classes.join(' ')
		}),
		children
	);
}

Sidebar.propTypes = {
	/**
  * Contents of the Sidebar
  */
	children: _react.PropTypes.node.isRequired,

	/**
  * Additional className
  */
	className: _react.PropTypes.string
};