'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = InputTextarea;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _input = require('../../../styles/input.css');

var _input2 = _interopRequireDefault(_input);

var _InputText = require('./InputText');

var _InputText2 = _interopRequireDefault(_InputText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Plain textarea.
 */
function InputTextarea(_ref) {
	var className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['className']);

	var classes = [_input2.default.textarea];
	if (className) {
		classes.push(className);
	}

	return _react2.default.createElement(_InputText2.default, _extends({}, props, {
		className: classes.join(' '),
		component: 'textarea'
	}));
}

var PT = _react2.default.PropTypes;
InputTextarea.propTypes = {
	/**
  * Additional classnames to apply
  */
	className: PT.string
};